<script lang="ts">
    import {page} from '$app/stores';
    import {Todo} from '../../models';
    import {TodoProxyService} from "../../services";

    let todo: Todo;
    let loading = true;
    let error = '';
    const todosProxy = new TodoProxyService();
    // Get the specific todo from the database with the  page.params.todo id parameter

    todosProxy.getTodoById($page.params.todo).then(response => response.json())
        .then((response: Todo) => {
            todo = response;
            loading = false;
        }).catch((err) => {
        loading = false;
        error = 'Could not load the todos';
    });

</script>
<!-- Voeg If constructies toe voor de error, loading en error state-->
<span class="error-message">{error}</span>

{#if loading}
    <div class="todo-info">
        <p>Loading data...</p>
    </div>
{:else}
    <div class="todo-info">
        <p class="title">{todo.title ?? ''}</p>
        <p>{todo.message ?? '' }</p>
    </div>
{/if}
<style>
    .todo-info {
        margin-right: 15%;
        margin-left: 15%;
        margin-top: 30px;
    }

    .title {
        font-size: 1.3rem;
    }
</style>
